#import "SonicSpeedViewController.h"

@implementation SonicSpeedViewController

@synthesize sonic, slider, readOut;

- (void)viewDidLoad {
	
	NSArray *imgArray = [NSArray arrayWithObjects:
			  [UIImage imageNamed:@"img1.gif"],
			  [UIImage imageNamed:@"img2.gif"],
			  [UIImage imageNamed:@"img3.gif"],
			  [UIImage imageNamed:@"img4.gif"],
			  [UIImage imageNamed:@"img5.gif"],
			  [UIImage imageNamed:@"img6.gif"],
			  [UIImage imageNamed:@"img7.gif"],
			[UIImage imageNamed:@"img8.gif"],nil];
	
	sonic.frame = CGRectMake(0, 0, 200, 200);
	sonic.animationImages = imgArray;
	sonic.animationDuration = 0.25;
	sonic.animationRepeatCount = 0;
	
	[sonic startAnimating];
	
	[self.view insertSubview:sonic atIndex:0];
	[sonic release];
			 	
}

-(void)sliderChange:(id)sender{
	readOut.text = [NSString stringWithFormat:@"value = %1.2f", slider.value];
	sonic.animationDuration = slider.value;
	[sonic startAnimating];
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[sonic release];
	[readOut release];
	[slider release];
    [super dealloc];
}

@end
